Subject: BETA: miniSQL database engine & tools v1.0.16

From: [email-masked] (Martin Schulze)
Date: Thu, 11 Jul 96 17:00 MET DST

Good day folks,

I have worked with the mSQL database engine for some time now and
decided to package it for Debian Linux.  Unfortunately I'm not the
only one that works on this, but my counterpart seems to be quite slow
with answering his mails so I steped forward and finished the package
without waiting for his replies.

I'm now at the point where I for myself use the package and where I
would like to invite everyone to take this package into her/his
personal betatest and send me comments and enhancements.

There is a todo-list but I think I will release it even without having
done everything noted there. :-/

a) I have splitted the package into 4 parts to provide a maximum of
   flexibility.

   - libmsql1
     contains the shared library (only a static lib on a.out systems)
     all other packages depend on it.

   - msqld
     contains the database engine itself

   - msqladmin
     contains some programs to maintain the engine and databases

   - msql
     contains user programs to manipulate databases

   - msqlperl
     contains a library for perl that provides an easy environment for
     programing database applications

b) This mSQL package needs a special user id `msql' to maintain
   databases.  Please make sure that a user and a group with that name
   exists. (on my system they are uid=gid=25, if you choose different
   values, you HAVE TO recompile the package)

   Unfortunately Bruce hasn't reallocated one for me but it's on his
   list. I would recommend an entry similar to the following in your
   password file:

   msql:password:25:25:mSQL Database Manager:/var/lib/msql:/bin/sh

   Then the whole engine can be controlled by a special user account.
   This account may receive some mails so please also make sure that
   they are read. ;-)

c) Does it make sense to put msqlperl into the misc section (it's as
   free as perl itself), while libmsql1 on which it depends has to go
   into the non-free section?

You will find the package as source, diff and .deb's at the following
location: ftp.infodrom.north.de in /pub/people/joey/debian/beta.

Please send me comments about it.

Have a pleasant weekend,

	Joey

-- 
  / Martin Schulze  *  Debian Linux Maintainer  *  [email-masked] /
 / http://www.debian.org/       http://www.infodrom.north.de/~joey/
/  Never trust an operating system you don't have sources for!  /